import { ProColumns } from "@ant-design/pro-components";
import { useModel } from "@umijs/max";
import { Avatar, Badge, Image, Typography } from 'antd';
const { Paragraph } = Typography;
export const columns = (appCategory: 1 | 2): ProColumns<any>[] => {
    let { getEnum } = useModel("global")
    return [
        {
            title: "公众号AppId",
            dataIndex: 'mpAppId',
            key: "mpAppId",
            align: "center",
        },
        {
            title: "公众号名称",
            dataIndex: 'nickName',
            key: "nickName",
            align: "center",
            render: (_, row) => {
                return <div> <Avatar shape="square" size={64} src={row?.headImg} />{row?.nickName}</div>
            }
        },
        {
            title: "公众号类型",
            dataIndex: 'serviceTypeInfo',
            key: "serviceTypeInfo",
            align: "center",
            hideInSearch: true,
            render: (_, row) => {
                return ["订阅号", "服务号"][row?.serviceTypeInfo]
            }
        },
        {
            title: "公众号认证类型",
            dataIndex: 'verifyTypeInfo',
            key: "verifyTypeInfo",
            align: "center",
            hideInSearch: true,
            valueEnum: getEnum("VERIFYTYPE", "map")
        },
        {
            title: "主体名称",
            dataIndex: 'principalName',
            key: "principalName",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "原始ID",
            dataIndex: 'userName',
            key: "userName",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "公众号所设置的微信号",
            dataIndex: 'alias',
            key: "alias",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "用以了解功能的开通状况",
            dataIndex: 'businessInfo',
            key: "businessInfo",
            align: "center",
            hideInSearch: true,
            render: (_, row) => {
                return ["未开通", "已开通"][row?.businessInfo]
            }
        },
        {
            title: "二维码",
            dataIndex: 'qrcodeUrl',
            key: "qrcodeUrl",
            hideInSearch: true,
            align: "center",
            render: (_, row) => {
                return  <Image src={row?.qrcodeUrl} style={{width:25}} />
            }
        },
        {
            title: "授权状态",
            dataIndex: 'authStatus',
            key: "authStatus",
            hideInSearch: true,
            align: "center",
            valueEnum(row) {
                let obj = {true:{
                    text:<Badge status="success" text="已授权" />
                },false:{
                    text:<Badge status="error" text="未授权" />
                }}
                return  obj
            },
        },

    ];
}