import { PageContainer, ProTable } from "@ant-design/pro-components"
import { columns } from "./tableConfig"
import { useAjax } from "@/Hook/useAjax"
import { history, useModel } from "@umijs/max"
import { Button } from "antd"
import { PlusCircleOutlined } from "@ant-design/icons"
import { listOfPage } from "@/services/miniApp/extend"

const Page: React.FC = () => {
    let { initialState } = useModel("@@initialState")
    let getList = useAjax((params) => listOfPage(params), { type: 'table' })
    return <PageContainer title={false}
    >
        <ProTable<any, any>
            scroll={{ x: true}}
            toolBarRender={() => {
                return [
                    <Button
                        type="primary"
                        onClick={() => {
                            history.push("/miniApp/book")
                        }}
                    >
                        <PlusCircleOutlined />
                        新建作品链接
                    </Button>,
                ];
            }}
            params={{
                appId: initialState?.selectApp?.id || "",
                appType: initialState?.selectApp?.appType || "",
                linkType:1,
            }}
            headerTitle={"作品推广列表"}
            rowKey={(r) => r.linkId}
            search={{
                labelWidth: 90,
                span:4
            }}
            request={async (params) => {
                return await getList.run(params)
            }}
            columns={columns(initialState?.selectApp?.appCategory || 1)}
        // bordered
        />
    </PageContainer>

}
export default Page