import { ProFormColumnsType } from "@ant-design/pro-components";

function formConfig(props: { pageList: any[] }): ProFormColumnsType<{
    name: string;
    state: string;
}>[] {
    return [
        {
            title: '链接名称',
            dataIndex: 'linkName',
            formItemProps: {
                style: { marginBottom: 10 },
                rules: [
                    {
                        required: true,
                        message: '此项为必填项',
                    },
                ],
            },
        },
        {
            title: '推广页面',
            dataIndex: 'appPageId',
            valueType: 'radio',
            valueEnum() {
                let obj: any = {}
                props?.pageList?.forEach(item => {
                    obj[item.id] = { text: item.pageName }
                })
                return obj
            },
            formItemProps: {
                rules: [
                    {
                        required: true,
                        message: '此项为必填项',
                    },
                ],
            },
         
        },
    ]
}

export default formConfig