import { ActionType, PageContainer, ProTable } from "@ant-design/pro-components"
import { columns } from "./tableConfig"
import { useAjax } from "@/Hook/useAjax"
import { useModel } from "@umijs/max"
import PageExtend from "./extend"
import { useRef } from "react"
import { listOfPage } from "@/services/miniApp/extend"

const Page: React.FC = () => {
    let { initialState } = useModel("@@initialState")
    const actionRef = useRef<ActionType>();
    let getList = useAjax((params) => listOfPage(params), { type: 'table' })
    return <PageContainer title={false}
    >
        <ProTable<any, any>
            scroll={{ x: true }}
            actionRef={actionRef}
            toolBarRender={() => {
                return [
                    <PageExtend reload={actionRef?.current?.reload} />,
                ];
            }}
            params={{
                appId: initialState?.selectApp?.id || "",
                appType: initialState?.selectApp?.appType || "",
                linkType:2
            }}
            headerTitle={"页面推广列表"}
            rowKey={(r) => r.linkId}
            search={{
                labelWidth: 90,
                span:4
            }}
            request={async (params) => {
                return await getList.run(params)
            }}
            columns={columns()}
        // bordered
        />

    </PageContainer>

}
export default Page