import { api } from '@/services/api';
import { request } from '@umijs/max';
type Page = {
  pageSize: number | string,
  pageNum: number | string
}

interface Params extends Page {
  distributorId?: string,//分销商ID
  nickname?: string,//账号昵称
  phoneNum?: string,//手机
}
/**获取分销商账号列表 */
export async function distributorAccountList(params: Params) {
  return request(api + '/admin/distributorAccount/list', {
    method: 'GET',
    params
  });
}
/**获取分销商账号全部列表无分页 */
export async function distributorAccountAll() {
  return request(api + '/admin/distributorAccount/all', {
    method: 'GET',
  });
}

type Data = {

}
/**新增 */
export async function distributorAccountAdd(data: Data) {
  return request(api + '/admin/distributorAccount/save', {
    method: 'POST',
    data
  });
}

/**启停 */
export async function distributorAccountUpdate(params: { id: any, enabled: boolean }) {
  let { id, enabled } = params
  return request(api + `/admin/distributorAccount/updateEnabled/${id}`, {
    method: 'PUT',
    data: { enabled }
  });
}

