import { message } from "antd";

/**传入数组枚举数组和key数组 找到在枚举数组中的description值
 * @param {Array} enumArr 枚举数组
 * @param {Array} arr 要查找的数组
 * */
export function getDescriptions(enumArr: any[], arr: any[]) {
    // 创建一个字典来存储 value 和 description 的映射
    const valueToDescription = enumArr.reduce((acc, item) => {
        acc[item.value] = item.description;
        return acc;
    }, {});
    // 使用 arr2 中的 value 查找对应的 description
    // console.log(enumArr,arr)
    return arr.map(value => valueToDescription[value]);
}
/**传入数组枚举数组和key数组 找到在枚举数组中的description值
 * @param {Array} enumArr 枚举数组
 * @param {Array} customParams 要插入数据的目标可以不传  { 0: { disabled: true } } 第0个数据内插入disabled: true
 * */
export function convertEnumArr(enumArr: any, customParams: any = {}, config?: { key: string, value: string }) {
    let result: { [key: string|number]: { text: string, disabled?: boolean } } = {};
    for (let item of enumArr) {
        let newItem = { text: config ? item[config.value] : item.description };
        if (customParams[item.value]) {
            Object.assign(newItem, customParams[item.value]);
        }
        result[config ? Number(item[config.key]) : Number(item.value)] = newItem;
    }
    return result;
}

/** base64转File */
export const dataURLtoFile = (dataurl: any, filename: any) => {
    let arr = dataurl.split(','),
      mime = arr[0].match(/:(.*?);/)[1],
      bstr = atob(arr[1]),
      n = bstr.length,
      u8arr = new Uint8Array(n);
    while (n--) {
      u8arr[n] = bstr.charCodeAt(n);
    }
    return new File([u8arr], filename, { type: mime });
  };

// 点击复制
export const copy = (str: string) => {
    let element = document.createElement("textarea");
    element.id = 'myTextarea'
    element.textContent = str
    document.body.append(element);
    (document.getElementById('myTextarea') as any).select();
    document.execCommand("Copy")
    document.body.removeChild(element);
    message.success(`复制成功：${str}`)
}